<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./animate.min.css">
    <link rel="stylesheet" href="./style.css">
    <link rel="stylesheet" href="./animation.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script
    src="https://code.jquery.com/jquery-3.6.0.slim.min.js" integrity="sha256-u7e5khyithlIdTpu22PHhENmPcRdFiHRjhAuHcs05RI=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="https://kit.fontawesome.com/659f47dca7.js" crossorigin="anonymous"></script>
    <style>
        body {
          position: relative;
        }
        ul.nav-pills {
          top: 20px;
          position: sticky;
        }
        
        @media screen and (max-width: 810px) {
          #section1, #section2, #section3, #section41, #section42  {
            margin-left: 150px;
          }
        }
        </style>
    <title>Flux Byte</title>
</head>
<body data-spy="scroll" data-target="#processScrollspy" data-offset="20">
    
    <div class="container">
        <div class="row">
          <nav class="col-sm-3" id="processScrollspy">
            <ul class="nav flex-column justify-content-start nav-pills">
                <li class="nav-item">
                  <a class="nav-link" href="#process-11">process-1</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#process-21">process-2</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="#process-31">process-3</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="#process-41">process-4</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="#process-51">process-5</a>
                  </li>
              </ul>
          </nav>
          <div class="col-sm-9">
            <div id="process-11" class="m-5 p-5">
              <h1>Section 1</h1>
              <p>Try to scroll this page and look at the navigation list while scrolling!</p>
            </div>
            <div id="process-21" class="m-5 p-5">
                <h1>Section 2</h1>
                <p>Try to scroll this page and look at the navigation list while scrolling!</p>
              </div>
              <div id="process-31" class="m-5 p-5">
                <h1>Section 3</h1>
                <p>Try to scroll this page and look at the navigation list while scrolling!</p>
              </div>
              <div id="process-41" class="m-5 p-5">
                <h1>Section 4</h1>
                <p>Try to scroll this page and look at the navigation list while scrolling!</p>
              </div>
              <div id="process-51" class="m-5 p-5">
                <h1>Section 5</h1>
                <p>Try to scroll this page and look at the navigation list while scrolling!</p>
              </div>
          </div>
        </div>
      </div>
</body>
</html>